#include <stdio.h>
#include <regex.h>
#include <string.h>
#include <qstringlist.h> 

//replace the first '\n'(newline) in the
//buffer pointed by p with a '\0', this will make a string
//containing only the contents before the first '\n'
void chomp( char *p );

//pick up the substrings separated by ':' in line and put
//the pointers to these substrings into ptrs(which is an array of pointers)
//ret code: the number of parts that line was splitted into
int splitline( char *line, char **ptrs, char separator );
        
//ret code:   1-- match found
//            0-- no match found
//NOTE: if match1 and match2 are NULL, line will be untouched,
//otherwise line will be truncated.
int getrematch( char *line, char *regex, char **match1, char **match2 );

int runcmd(const QString& cmd, const QStringList& args, QString& output);

QString prettify_run_result(QString output);

//return the postitionth word in str, starting from 0
QString findWord( const QString & str, int position );

int createPv( const QStringList & listPartition, QString & output );

int RFVerifyCN( const QString & str );

void debug( const QString & str );
